Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: visuele omgeving Eclipse  (gelezen 1996 keer)

Offline Scarecrow

  • Lid
  • Steunpunt: Nee
visuele omgeving Eclipse
« Gepost op: 2009/11/17, 20:28:39 »
Hallo beste mede Ubuntuers,

Al geruime tijd programmeer ik in JAVA. In mijn Windows tijd deed ik dat in JBuilder van Borland. Na enkele jaren geleden overgestapt te zijn naar Ubuntu, ben ik in Net Beans gaan programeren.
Onlangs werd ik door een colega geadviseerd om over te stappen naar Eclipse. Deze is via Synaptics netjes te instaleren, maarrrrrrrrrr.......
Ik vindt nergens een visuele omgeving binnen Eclipse. Althans niet in de versie die via Synaptics aangeleverd wordt. Op de Eclipse site wordt er wel over gesproken dat het er in zou zitten.
Is de versie die via Synaptics aangelevert wordt een uitgeklede versie en behoeft het plugins? Zoja, zijn die ook via Synaptics te instaleren of wordt het ouderwets hollands tar ballen?
Ik ben wat gaan neuzen hier op het forum, maar kan ook hier niet zo 123 wat uitkomst vinden. Wie kan me er wat meer duidelijkheid over geven?

Groet,

Remco
« Laatst bewerkt op: 2009/11/17, 20:33:22 door Scarecrow »

Offline track

  • Lid
  • Steunpunt: Nee
Re: visuele omgeving Eclipse
« Reactie #1 Gepost op: 2009/11/17, 23:28:57 »
Hoi Remco,

ik gebruik zelf eclipse, dan wél voor het debuggen van een "gewone" Java-toepassing.
Als ik het programma opstart (via eclipse) gaat ernaast een venster van de toepassing open.

Wat mis jij nu precies ?  wat bedoel je met "visuele omgeving" ? 
Bij eclipse heb je sowieso een hele reeks vensters, of bedoel je iets anders ?

track
« Laatst bewerkt op: 2009/11/17, 23:31:26 door track »

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: visuele omgeving Eclipse
« Reactie #2 Gepost op: 2009/11/17, 23:51:16 »
Zelf ben ik een groot fan van Eclipse en ik install het altijd handmatig. Ten eerste omdat ik vind dat APT hopeloos achterloopt met de eclipse versie. En ik wil hiervan toch altijd de nieuwste gebruiken(op dit moment 3.5). Daarnaast vind ik het handig om de eclipse dir in mn homedir te laten staan, zodat ik bij een nieuwe ubuntu versie niet eclipse en alle plugins opnieuw hoef te installen.

Handmatig installen is gewoon een tar uitpakken en evt. een menu item toevoegen.

Verder kun je plugins in eclipse zelf installeren middels "update sites", zie Help -> Install Software. Je hoeft de plugins dus niet meer ouderwets handmatig uit te pakken...

Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Scarecrow

  • Lid
  • Steunpunt: Nee
Re: visuele omgeving Eclipse
« Reactie #3 Gepost op: 2009/11/18, 17:39:27 »
Hallo Wazzzaaa,

Ik ben wat gaan neuzen op de Eclipse site en ik denk dat jij er idd verstandig aan doet om Eclipse handmatig te instaleren.
Op een wikki van Eclipse http://wiki.eclipse.org/VE/Update m.b.t. de VE omgeving kwam ik het volgense citaat tegen:

Citaat
Install VE 1.4 into Eclipse 3.5 / Galileo

        *  Download and install one of the following standard Eclipse 3.5 Galileo distributions for Java development:

       - DO NOT USE "Eclipse IDE for Java EE Developers" as you will encounter conflicting dependencies with the Java EMF Model Utilities (org.eclipse.jem.util) plugin
        - "Eclipse IDE for Java Developers"
        - "Eclipse for RCP/Plug-in Developers"
        - "Eclipse IDE for Java and Report Developers"

 

Let dus op het vet gedrukte "DO NOT USE". Ik ben bang dat Ubuntu een versie van Eclipse distrubueert, die deze conflicterende afhankelijkheden met zich mee draagt. Hopelijk komt Eclipse met een versie op de proppen die wel werkt en gaat het Ububtu team deze snel distribueren via Synaptics.
Tot dan ga ik Eclipse uninstallen en een compatible versie van de Eclipse site halen.
Goed idee van je om de Eclipse directory in je home directory te houden.

Iig dank voor het meedenken  ;)

Groet,

Remco
« Laatst bewerkt op: 2009/11/18, 17:40:58 door Scarecrow »